Indeks Pomocy

PROEKO Ryszard Samoć

62-800 Kalisz, ul. Biernackiego 8
tel. 62 757 39 87
E-mail: ryszard@samoc.net, biuro@proekors.pl

www.proekors.pl

Program "Róża Wiatrów" dla Windows

Indeks Pomocy

Struktura menu:

Menu "Dane"

Menu "Tabele"

Menu "Opcje"

Menu "Nowa róża"

Instrukcja obsługi

Obsługa programu


Obsługa programu

Program pozwala na przeglądanie i edycję róż wiatrów dla poszczególnych stacji meteorologicznych.

Najpierw należy dokonać wyboru stacji poprzez kliknięcie w menu "Dane" komendy "Wybór róży" wtedy na środku ekranu ukaże się róża wiatrów lub pokaże się rysunek róży wiatrów dla okresu rocznego.

Następnie różę wiatrów można poddać edycji poprzez kliknięcie w menu "Dane" komendy "Edycja" .

Różę można wydrukować poprzez kliknięcie w menu "Tabele" komendy "Tabele meteorologiczne".

Program pozwala także na uzupełnienie listy stacji meteorologicznej poprzez dodanie nowej stacji lub stworzenie róży na podstawie istniejącej stacji.

Zakończenie działania programu przez wybranie komendy "Koniec" z menu "Dane". Wydruk rysunku róży wiatrów poprzez naciśnięcie przycisku "Drukuj".

Rysunek róży wiatrów może też być zapisany w standardzie plików WMF. Taki plik może być włączony do wysokości edytorów tekstowych takich jak np. Word for Windows.

Zakończenie programu poprzez naciśnięcie przycisku "Koniec".


Menu Dane

Menu "Dane" zawiera następujące opcje:

Komenda "Edycja"

Menu "Nowa róża"

Menu "Opcje druku"

Komenda "Koniec"


Menu Tabele

Menu "Tabele" zawiera następujące opcje:

Menu "Tabela meteorologiczna"

Menu "Zestawienie częstości"


Menu Opcje

Menu "Opcje" zawiera jedną komendę: Czcionki .


Menu Nowa roza

Menu Nowa róża

Menu zawiera dwie opcje tworzenia nowej róży wiatrów:

Komenda "Na podstawie bieżącej róży"

Komenda "Całkowicie nowe dane"

Komenda "Importuj z pliku tesktowego"


Okno: Edycja róży wiatrów

Do edycji dostępne są jednocześnie róże wiatrów dla okresu rocznego, sezonu grzewczego i sezonu letniego.

Wybór poszczególnej róży następuje poprzez kliknięcie selektora u dółu ekranu z nazwami sezonów.
Przycisk "Wprowadź inne nazwy sezonów" służy do zmiany konwencjonalnych nazw sezonów na inne w przypadku nietypowych sezonów np. "noc", "dzień", "godziny szczytu".

Róża wiatrów jest tworzona na podstawie liczby obserwacji lub procentów obserwacji. Rodzaj wpisywanych danych należy ustalić przed rozpoczęciem wpisywania obserwacji.

Liczba obserwacji jest obliczana automatycznie na podstawie sumy wszystkich obserwacji z pliku pochodzącego z IMGW.

W kolumnach zawarte jest 12 kierunków wiatrów. W rzędach poszczególne sytuacje meteorologiczne.

Opcja "Dane z ekstrapolacji" oznacza, że róża została wygenerowana na podstawie obserwacji z jednej lub kilku pobliskich stacji meteorologicznych.
W takim przypadku na zestawieniach i wykresach zamiast napisu "Stacja meteorologiczna" będzie napis "Teren".

Współrzędne geograficzne stacji/terenu można wpisać ręcznie lub zaznaczyć je na mapie po kliknięciu przycisku "Pobierz współrzędne z mapy".
Przed otwarciem mapy należy wybrać lokalizację używając wyszukiwarki. Po wpisaniu nazwy miejscowości lub adresu program wyświetli listę lokalizacji spełniających te kryteria. Po kliknięciu przycisku „Wybierz” program otworzy mapę Google z ustawionym środkiem mapy na współrzędne geograficzne dla wybranej lokalizacji. Mapę można przesuwać przez przeciąganie myszą".
Na mapie można zaznaczyć punkt (inny niż środek mapy) poprzez kliknięcie lewym klawiszem myszy przy wciśniętym klawiszu Ctrl. Wtedy zostaną wyświetlone informacje o współrzędnych geograficznych zaznaczonego punktu. W przypadku, gdy na mapie nie zaznaczono żadnego punktu, program przyjmie współrzędne środka mapy.
Współrzędne przenosimy do okna edycji róży przyciskiem "OK (wybierz)".

Wpisane dane róży należy zatwierdzić poprzez naciśnięcie przycisku "OK".


Okno edycji wykresów

Edytor wykresów

Indeks Pomocy

Okno składa się z dwóch paneli, z których jeden zawiera strukturę edytora wykresu a drugi szczegółowy opis danego węzła/danej gałęzi edytora, po zaznaczeniu na strukturze.

Struktura edytora wykresu widoczna w lewym panelu jest zbudowana z dwóch podstawowych węzłów: "Serie", "Wykres".

Węzeł "Serie" po rozwinięciu składa z gałęzi, z których każda oprócz ostatniej stanowi różę o określonej prędkości wiatru od 1 do 10 m/s. Ostatnia gałąź to róża sumaryczna. Po zaznaczeniu jednej z róż w prawym panelu okna wyświetla się układ nastepujących stron opisujących szczegółowo daną różę:

Ogólne

 Znaczniki

 Źródło danych

Jeśli węzeł "Serie" jest zaznaczony to w prawym panelu okna znajduje się lista wszystkich wpisanych serii .
Lista serii jest tworzona przez program i nie zaleca się usuwania ani dodawania serii.

Węzeł "Wykres" zawiera cztery główne gałęzie:

Ogólne

Oś

Tytuł

Ściana

Gdy węzeł "Wykres" jest zaznaczony to prawy panel okna zawiera taką samą zakładkę z listą serii jak w przypadku zaznaczonego węzła "Serie" oraz strony: "Ogólne", "Oś", "Tytuł", "Legenda", "Panel", "Strona", "Ściana", "3D".

Dodatkowo w strukturze edytora istnieją trzy odrębne gałęzie:

Dane

Eksport

Drukowanie


Edycja wykresu/Wykres

Węzeł Wykres zawiera cztery główne gałęzie:

Ogólne

Oś

Tytuł

Ściana

Gdy węzeł "Wykres" jest zaznaczony to prawy panel okna zawiera taką samą zakładkę z listą serii jak w przypadku zaznaczonego węzła "Serie" oraz strony: "Ogólne", "Oś", "Tytuł", "Legenda", "Panel", "Strona", "Ściana", "3D".


Edycja wykresu/Serie

Węzeł "Serie" po rozwinięciu składa z gałęzi, z których każda oprócz ostatniej stanowi różę o określonej prędkości wiatru od 1 do 10 m/s. Ostatnia gałąź to róża sumaryczna. Po zaznaczeniu jednej z róż w prawym panelu okna wyświetla się układ nastepujących stron opisujących szczegółowo daną różę:

Ogólne

 Znaczniki

 Źródło danych

Jeśli węzeł "Serie" jest zaznaczony to w prawym panelu okna znajduje się lista wszystkich wpisanych serii. Lista serii jest tworzona przez program i nie zaleca się usuwania ani dodawania serii.


Okno czcionki

W przypadku stosowania Windows w wersji innej niż polska można w tym oknie wybrać czcionki

odpowiadające kształtom czcionka typu : Arial (czcionka prosta bez szeryfów), Times New Roman (czcionka z szeryfami), Courier ( czcionka z równymi odstępami - nieproporcjonalna) oraz Symbol zawierająca symbole matematyczne.

Czcionki te powinny zawierać polskie znaki. Wybór poszczególnych czcionek z listy dostępnych czcionek lub poprzez wpisanie ręczne nazwy czcionki.


Okno - ustawienie marginesów

W tym oknie użytkownik może ustawić własne wartości marginesów lewego i górnego.

Wstępnie program przyjmuje margines górny równy 1/20 wysokości i margines lewy równy 1/20 szerokości

kartki papieru o przyjętych w opcjach drukarki rozmiarze.

Wielkość marginesów można wpisać ręcznie lub zwiększać / zmniejszać dotychczasowe marginesy poprzez kliknięcie myszką przycisków przewijania. Wtedy wielkości marginesów są zwiększane lub zmniejszane o 0,1 cm.


Okno Ilosc kopii

Okno Ilość kopii

W tym oknie można ustalić ilość drukowanych egzemplarzy wykresów i tabel. Ustawienia można dokonać wpisując ręcznie ilość kopii lub klikając przycisk przewijania.


Okno "Numeracja stron"

W tym dialogu można ustalić sposób numeracji stron oraz włączyć/wyłączyć dialog zakresu wydruku pojawiający się przed każdym wydrukiem z okna wydruków tabelarycznych (raportów).

Dostępne są następujące opcje:

  • Numerować strony? - jeżeli ta opcja zostanie wyłączona pozostałe opcje dotyczące numeracji stron nie mają sensu. Jeżeli opcja będzie włączona to u góry, na środku każdej strony pojawi się numer strony poprzedzony znakami definiowanymi przez użytkownika.
  • Numerować pierwszą stronę? W przypadku wyłączenia tej opcji, na pierwszej stronie nie będzie drukowany numer strony.
  • Początek numeracji - jest to liczba, od której rozpoczyna się numeracja stron. Jeżeli wydruk ma być fragmentem większego opracowania to np. numery stron mogą się zaczynać od 50, wtedy druga strona będzie miała numer 51..itd.
  • Liczba stron – jest to łączna liczba stron wydruku wpisywana ręcznie. Gdy w symbolu za numerem strony znajdzie się kod <N> to zostanie tam wstawiona liczba stron.
  • Symbol przed numerem strony - wstępnie program przyjmuje, że tym symbolem będzie kreska i spacja "- ". Użytkownik może tu wpisać dowolny symbol lub napis.
  • Symbol za numerem strony - wstępnie program przyjmuje, że tym symbolem będzie spacja i kreska " -". Użytkownik może tu wpisać dowolny symbol lub napis.
    Kody specjalne:
    <N> - powoduje wstawienia liczby stron (wprowadzanej przez użytkownika)
    <D> - wstawia bieżącą datę
    Przykład :
    symbole: /<N> data wydruku : <D>
    wydruk: 1/15 data wydruku: 2006-07-01

Klilnięcie przycisku znajdującego się w panelu „położenie numeru strony „ powoduje ustalenie jak bedzie justowany numer strony i czy będzie drukowany u góry lub u dołu strony.

Kliknięcie przycisku „Czcionka” powoduje otwarcie okna wyboru czcionki jaką będzie drukowany numer strony.

Na stronie „Dodatkowe opcje” można ustalić:

  • Tekst w nagłówku strony – jest to dowolny napis , który będzie drukowany w przypadku gdy numer strony znajduje się u dołu kartki. Można ustalić justowanie napisu i wybrać czcionkę jaką będzie drukowany.
  • Włączanie /wyłączanie dialogu zakresu wydruku - jeżeli wybrano opcję "Pokazywać przed wydrukiem raportu dialog zakresu wydruku" to po kliknięciu przycisku drukarki w oknie raportów zostanie pokazany standardowy dialog, w którym będzie, które strony mają być drukowane i ilość kopii. Jeżeli ten dialog nie będzie pokazywany - np. w celu zmniejszenia niepotrzebnych czynności - ilość kopii może być ustalona w dialogu "Ilość kopii".

  • Skala podglądu - można ustalić wstępną skalę podglądu wydruku ( w czasie wydruku można ją zmienić).
    Można wybrać następujące skale wydruku:
    100 % - wydruk jest pokazywany ze wszystkimi szczegółami, w tej samej skali jak będzie drukowany.
    Szerokość strony - skala wydruku jest tak dopasowana, że widać całą szerokość strony.
    Strona - widać na ekranie całą stronę wydruku.
    Inny - użytkownik może wpisać inną skalę wydruku.
    Uwaga: podczas podglądu w skali mniejszej niż 100 % mogą ginąć niektóre szczegóły wydruku np. cienkie linie w tabelach.
  • Dodać na końcu wydruku napis – włączenie opcji spowoduje, że na końcu każdego wydruku będzie dodana pozioma linia i napis ustalany przez użytkownika np.: KONIEC RAPORTU


Okno edycji wykresów

Edytor wykresów

Indeks Pomocy

Okno składa się z dwóch paneli, a każdy panel zawiera strony z poszczególnymi opcjami wykresu.

Panel Wykres zawiera następujące strony:

Serie

Główny

Osie

Tytuły

Legenda

Panel

Strony

Ściany

Panel Serie zawiera następujące strony:

Format

Główne

Znaczki

Źródło danych


Okno edycji wykresów

Edycja wykresu/Strona Dane

Na stronie znajduje się tabela zawierająca dane do sporządzenia wykresu.
Dane te mozna skopiować do schowka lub zapisać do Excela.

W przypadku wykresu róży wiatrów dane zawierają udziały częstości dla poszczególnych kierunków wiatrów i narastająco dla poszczególnych prędkości wiatru .


Okno edycji wykresów

Edycja wykresu/Strona Drukowanie

Na stronie można wydrukować wykres.
Widoczny jest podgląd wydruku oraz opcje m.in. orientacja strony i marginesy.


Okno edycji wykresów

Edycja wykresu/Strona Eksport

Można wyeksportować wykres w następujących formatach:

Grafika wektorowa
  • Jako Metafile, rozszerzony i zwykły - pliki o rozszerzeniach EMF i WMF
Grafika bitmapowa
  • jako bitmapa - pliki BMP
  • Jako GIF
  • Jako JPEG

Ponadto można wyeksportować wykres w formacie XML lub zapisać dane do XML lub XLS


Strona Serie/Ogólne

Znaczenie opcji;

Pokaż w legendzie | Wybrana seria znajdzie się w legendzie (o ile legenda jest widoczna)
Kursor | Określa kształt kursora przy przejściu do serii.
Formaty | Format jest ustalany automatycznie przez program i użytkownik nie powinien go modyfikować. Obok znajdują się przyciski "...", które służą do przejścia do okna "Format dla tekstu".
Oś Z jako data/ czas | Zaznaczenie tej opcji spowoduje wyświetlenie daty/czasu przy osi Z. Powyżej opcji znajduje się pole: "Sortuj", w którym ustala się sposób w jaki mają się układać wartości dla wybranej róży. Opcja jest ustawiana przez program i nie zaleca się modyfikacji.

Zobacz: Indeks pomocy do edycji wykresów


Strona Serie/Znaczniki

Strona zawiera następujące zakładki:

Zakładka | Opis
Styl | Poprzez zaznaczenie opcji "Pokaż", "Pokaż dla wszystkich serii" można ustalić czy i w jaki sposób znaczniki będą widoczne. Poniżej wybiera się styl rysowania znaczków oraz wyrównania tekstu.
Strzałki | Użycie przycisków "Krawędź", "Wskaźnik" otwiera okno edytorów kolejno krawędzi lub wskaźnika. Obok wybiera się wygląd końca strzałki oraz ustala jej rozmiary.
Symbol | W zakładce znajduje się pięć podzakładek do edycji symbolu: 1. Format - do edycji formatu. Po kliknięciu na przycisk "Wzór" można skorzystać z gotowego formatu. 2. Krawędź- do edycji krawędzi symbolu: ramki, rozmiarów. 3. Gradient - do edycji gradientu, m.in: kolorów i kierunku ich układania w gradiencie 4. Cień - do edycji cienia np. jego koloru i rozmiaru 5. Obraz - służy do wstawiania symbolu z jakiegoś pliku i do jego edycji
Marginesy | Można określić rozmiary marginesów procentowo lub w pikselach
Format | Służy do edycji formatu. Po kliknięciu na przycisk "Wzór" można skorzystać z gotowego formatu.
Krawędź | Służy do edycji krawędzi znacznika: ramki, rozmiarów.
Tekst | W zakładce znajduje się pięć podzakładek do edycji tekstu zwiazanego z znacznikiem : 1. Czcionka - do edycji czcionki: koloru, stylu. 2. Opcje - do edycji konturu, np. czy kontur ma być gradientowy. 3. Cień - do edycji cienia np. jego koloru, rozmiaru. 4. Gradient - do edycji gradientu, m.in: kolorów i kierunku ich układania w gradiencie. 5. Obraz - służy do wstawiania symbolu z jakiegoś pliku i jego edycji.
Gradient | Służy do edycji gradientu znacznika m. in. kolorów i kierunku ich układania w gradiencie.
Cień | Służy do edcyji cienia znacznika np. jego koloru i rozmiaru.
Obraz | Służy do wstawiania znacznika z jakiegoś pliku i jego edycji.

Zobacz: Indeks pomocy do edycji wykresów


Strona Serie/Zródlo

Strona Serie/Źródło danych

Panel ten nie może być wykorzystany przez użytkownika.

Wartości serii są wprowadzane programowo.

Zobacz: Indeks pomocy do edycji wykresów


Strona Wykres/Ogólne

Na stronie znajdują się następujące zakładki:

Zakładka | Opis
Powiększenie | Służy do ustawiania opcji powiększania np. w jakim kierunku ma być stosowane powiększenie wykresu, czy wykres ma być powiększany przy przeciąganiu w lewy górny róg itp.
Przesuwanie | Dotyczy opcji przesuwania wykresu, m.in. kierunku przesuwania.
Kursor | Służy do ustalenia jaki ma być używany kursor.
Fonts | Służy do ustawień czcionek i dodatkowych opcji jak: cień, gradient.

Zobacz: Indeks pomocy do edycji wykresów


Strona Wykres/Osie

Na stronie tej znajdują się opcje wszystkich osi. Wybór osi poprzez zaznaczenie odpowiedniej opcji w ramce "osie".

Znaczenie opcji:

Pokaż osie | Opcja ta dotyczy wszystkich osi. Jeżeli jest wyłączona wykres nie zawiera rysunku ani opisu osi.
Widoczne | Opcja ta dotyczy zaznaczonej osi. Jeżeli opcja jest włączona brak jest opisu zaznaczonej osi
Obramowanie | Opcja ta dotyczy zaznaczonej osi. Po kliknięciu na ten przycisk przechodzi się do edytora obramowań.

Strona Skale, Tytuły, Etykiety, Znaczki

Dotyczą wybranej osi w ramce Osie"

Skale |
Automatyczna. | Jeżeli ta opcja jest włączona to skala wykresu jest automatycznie dobierana przez program. Jeżeli opcja jest wyłączona użytkownik może zmienić minimum i maksimum osi.
Odstęp | Naciśnięcie przycisku "Zmień" spowoduje zmianę skoku na osi.
Logarytmiczna | Włączenie tej opcji spowoduje, że skala wykresu będzie logarytmiczna.
Odwrócony | Opcja powoduje odwrócenie skali wykresu
Tytuł | Można wprowadzić tytuł osi oraz kąt pod którym tytuł będzie wykreślany. Przyciśnięcie przycisku "Czcionka" spowoduje zmianę czcionki tytułu.
Etykiety |
Widoczna | Etykiety na osiach są widoczne.
Etykiety na osiach | Opcja ta powoduje wykreślanie etykiet na początkach osi.
Zaokrąglij pocz. | Skala nie zaczyna się od początku osi.
Czcionka | Przycisk ten pozwala zmienić czcionkę opisu osi.
Rozmiar | Jest to rozmiar pola w którym znajduje się opis osi. Wpisanie zera spowoduje że rozmiar będzie dobierany automatycznie
Kat | Jest to kąt liczb opisujących osie.
Minimalny odstęp | Jest to % odstępu miedzy opisem osi
Format liczb | Można tu wprowadzić format opisu osi tak samo jak formaty liczb stosowane w Excelu lub Wordzie
Styl | Powinien być włączony styl "auto". Uwaga styl może być zmieniony przez program.
Znaczki |
Obramowanie osi | Opcja ta pozwala na zmianę grubości obramowania oraz koloru obramowania.
Brzegi siatki | Pozwala to na włączenie obramowania i widoczności siatki rysowanej wewnątrz wykresu
Kreski do etykiet | Opcja ta pozwala na określenie długości i rodzaju kresek znajdujących się pomiędzy osią a opisem osi
Wewnętrzne | Sluży do wprowadzania wewnętrznych kresek
Drugorzędne | Służy do wprowadzenia kresek drugorzędnych znajdujących się pomiedzy wartościami opisujących osie. Określa ilość kresek miedzy wartościami a dlugość kresek Dlugość kresek drugorzędnych powinna być zawsze mniejsza od długosci kresek podstawowych.

Zobacz: Indeks pomocy do edycji wykresów


Strona Wykres/Sciany

Strona Wykres/Ściany

Opcje dotyczą wykresu, w którym włączono wyświetlanie trójwymiarowe (3D).

Poniżej znaczenie poszczególnych opcji:

Widoczne ściany | Gdy opcja ta jest włączona ściany wykresu są wypełnione kolorem określonym dla poszczególnych ścian górna ściana - opcje bedą dotyczyły lewej ściany wykresu dolna ściana- opcje bedą dotyczyły dolnej ściany wykresu
Kolor | Wybiera się kolor wybranej ściany
Obramowanie | Ustala się kolor i grubość obramowania wybranej ściany
Tło | Ustala się wypełnienie wzorkiem wybranej sciany
Rozmiar | Ustala się rozmiar ściany.

Zobacz:Indeks pomocy do edycji wykresów


Strona Wykres/Tytuly

Strona Wykres/Tytuły

Znaczenie opcji:

Nagłówek , Stopka | Pozwala na wprowadzenie tytułu wykresu znajdującego się u góry lub na stopce wykresu.
Czcionka | Pozwala na wybranie czcionki tytułu wykresu.
Obramowanie | Pozwala na wprowadzenie obramowania oraz koloru wypełnienia tytułu wykresu.
Położenie | Pozwala na ustalenie justowania tytułu wykresu
Pędzel | Pozwala na wprowadzenie wzorku i koloru wypełnienia tytułu wykresu.
Widoczne | Jeżeli opcja jest włączona to tytuł wykresu jest widoczny.
Dostosuj obramowanie | Służy do dopasowania obramowania do tytułu wykresu.

Tytuł wykresu wprowadza się w oknie znajdujących się u dołu strony. Można wprowadzić dowolną ilość linii tytułu wykresu.

Zobacz:Indeks pomocy do edycji wykresów


Komenda Czcionki

Komenda ta powoduje przejście do okna dialogowego "Czcionki", w którym użytkownik może zmienić

typowe czcionki polskiej wersji Windows na inne w przypadku posiadania np. amerykańskiej wersji Windows.


Komenda Edycja

Komenda ta powoduje przejście do edycji róży wiatrów dla wybranej stacji meteorologicznej

Zobacz:

Dialog "Edycja róży wiatrów"


Komenda: ilość kopii

Komenda powoduje wywołanie dialogu, w którym można wpisać ilość kopii wydruków.

Zobacz także:

Dialog "Ilość kopii"


Komenda Koniec

Wykonanie komendy powoduje zakończenie działania programu "Róża wiatrów".


Komenda : marginesy

Komenda powoduje wywołanie dialogu do ustawienia szerokości marginesu lewego i górnego.

Zobacz także :

Dialog "Marginesy"


Komenda: Nowa róża na podstawie bieżącej

Komenda: Nowa róża/na podstawie bieżącej róży

Komenda to pozwala na stworzenie róży wiatrów na podstawie danych już istniejącej stacji z ewentualnymi poprawkami.


Komenda "Nowa róza/ importuj z pliku tekstowego"

Komenda "Nowa róża/ importuj z pliku tekstowego"

Komenda umożliwia import róży wiatrów z pliku tekstowego zapisanego w formacie IMGW.

W takim formacie zapisywane są plik róż sprzedawanych przez IMGW.

Po wybraniu nazwy pliku z listy róża zostanie wczytana i dodana na końcu listy.

Uwaga: IMGW nie podaje ilości obserwacji tylko procent obserwacji dla poszczególnych sytuacji meteorologicznych. W związku z tym przed wydrukiem tabeli należy w menu "Tabele/Tabela meteorologiczna" wybrać komendę "Opcje" i ustawić opcję "Procent obserwacji".


Komenda: Nowa róża - całkowicie nowe dane

Komenda ta powoduje dopisanie do listy stacji meteorologicznych, danych nowej stacji i przejście do edycji.


Komenda "Numeracja stron"

Komenda powoduje wywołanie dialogu, w którym można ustalić zasady numeracji stron oraz włączyć lub wyłączyć pokazywanie dialogu zakresu wydruku przed każdym wydrukiem tabel.

Zobacz także:

Dialog "Numeracja stron"


Komenda "Ustawienia drukarki"

Komenda powoduje wywołanie systemowego dialogu do ustawienia drukarki tj. wyboru drukarki,

rozmiaru papieru oraz położenia wydruku (w poziomie, w pionie).


Menu Opcje druku

Menu to zawiera następujące komendy:

Komenda "Ustawienia drukarki"

Komenda "Marginesy"

Komenda "Ilość kopii"

Komenda "Numeracja stron"


Menu Tabela meteorologiczna

Wybranie tej opcji oraz sezonu obserwacji (rok, okres grzewczy lub letni) spowoduje wyświetlenie tabeli meteorologicznej z możliwością natychmiastowego jej wydruku poprzez naciśnięcie przycisku drukarki lub zapisania tabeli w formie pliku RTF. Tabela meteorologiczna może być wyświetlana jako liczba obserwacji lub jako % sezonu obserwacji.


Zestawienie częstości

Menu Zestawienie częstości

Wybranie tej opcji i następnie sezonu obserwacji (rok, okres grzewczy lub letni) powoduje wyświetlenie zestawienia udziałów poszczególnych kierunków wiatrów oraz zestawienia częstości poszczególnych prędkości wiatru.


Szukaj najbliższej stacji meteorologicznej w bazie róż wiatrów

Okno służy do wyszukiwania najbliższej stacji meteorologicznej na podstawie danych róż wiatrów zawartych w bazie programu.
Warunkiem wyszukiwania jest wpisanie współrzędnych geograficznych dla wszystkich stacji. Podczas aktualizacji program wpisał współrzędne geograficzne dla wszystkich stacji pomiarowych ze starego katalogu meteorologicznego IMGW z 1983 roku.

Znajdowana jest stacja pomiarowa najbliższa w linii prostej od punktu, dla którego podano współrzędne geograficzne.

Współrzędne geograficzne miejscowości lub zakładu można wpisać ręcznie. Można też je zaznaczyć na mapie po kliknięciu przycisku "Pobierz współrzędne z mapy".

Przed otwarciem mapy należy wybrać lokalizację używając wyszukiwarki. Po wpisaniu nazwy miejscowości lub adresu program wyświetli listę lokalizacji spełniających te kryteria.
Po kliknięciu przycisku „Wybierz” program otworzy mapę Google z ustawionym środkiem mapy na współrzędne geograficzne dla wybranej lokalizacji.
Mapę można przesuwać przez przeciąganie myszą.

Na mapie można zaznaczyć punkt (inny niż środek mapy) poprzez kliknięcie lewym klawiszem myszy przy wciśniętym klawiszu Ctrl. Wtedy zostaną wyświetlone informacje o współrzędnych geograficznych zaznaczonego punktu.
W przypadku, gdy na mapie nie zaznaczono żadnego punktu, program przyjmie współrzędne środka mapy.
Współrzędne przenosimy do okna wyszukiwania najbliższej stacji meteorologicznej przyciskiem "OK (wybierz)".

Kliknięcie przycisku "Szukaj" spowoduje wyszukanie najbliższej stacji meteorologicznej i wyświetlenie informacji o niej.

Przycisk "Pomoc" spowoduje przejście do okna pomocy.
Kliknięcie przycisku "Zamknij" spowoduje zamknięcie okna.


Okno raportów (wydruków zestawien tabelarycznych)

Okno raportów (wydruków zestawień tabelarycznych)

W oknie tym prezentowane zestawienia tabelaryczne podzielone na strony. Opcjonalnie strony mogą być numerowane. Sposób numeracji stron ustala się w dialogu "Numeracja stron", a marginesy w dialogu "Marginesy".

Zawartość okna można przewijać używając belki przesuwania pionowego umieszczonej po prawej stronie okna i poziomego umieszczonej u dołu okna..

Znaczenie poszczególnych przycisków:

Znaczenie poszczególnych przycisków:

- pierwsza strona

- poprzednia strona

- następna strona

- ostatnia strona

- podgląd całej strony

- podgląd strony wyskalowany tak, że w oknie mieści się cała szerokość strony

- podgląd w skali 100 %.

- wydruk raportu

- po podaniu nazwy pliku, zapisanie zestawienia tabelarycznego w standardzie Rich Text Format (RTF). Taki plik będzie mógł być włączony do większości edytorów tekstów pracujących w środowisku Windows (np. do Worda for Windows).

- kliknięcie tego przycisku spowoduje zapis dokumentu w formacie RTF, a następnie otwarcie go w domyślnym edytorze tekstów ( zwykle MS Word).

– kliknięcie tego przycisku umożliwia wysłanie dokumentu zapisanego do pliku RTF przez e-mail

- zamknięcie okna raportów.


Strona Serie/Zródlo

Strona Serie/Źródło danych

Panel ten nie może być wykorzystany przez użytkownika.

Wartości serii są wprowadzane programowo.

Zobacz: Indeks pomocy do edycji wykresów

kolisty - wykres ten będzie miał kształt koła, jeżeli opcja ta jest wyłączona kształt wykresu jest dostosowany do rozmiaru okna i może być elipsą.

trzy wymiary - w przypadku włączenia tej opcji wykres będzie wyświetlany jako pseudo trójwymiarowy. Jeżeli opcja jest wyłączona wykres będzie płaski.

trzy kolory - w przypadku włączenia tej opcji boki wykresu będą kolorowane

ciemne boki 3D- w przypadku włączenia opcji boki wykresu będą ciemniejsze od góry wykresu

3D cieniowanie- w przypadku włączenia tej opcji boki wykresu będą cieniowane.

kolor cienia - pozwala na wycieniowanie koloru jakim będą cieniowane boki wykresu.

Obramowanie - pozwala na zdefiniowanie grubości i stylu rysowania obramowania

własne ustawienia osi- pozwala na zmianą kąta osi Y oraz zmianę rozmiaru wykresu. Jeżeli włączona jest opcja auto będą przyjmowane ustawienia domyślne.

obrót- określa kąt obrotu koła.

wypełnienie -jeżeli opcja ta jest wyłączona wykres będzie wypełniony poprzez kreskowanie w różnych kolorach, a kliknięcie przycisku “kolor tła” pozwala na zmianę koloru na który nanoszone są kreski. Opcja ta jest przydatna w przypadku wydruku wykresu na drukarkach czarno-białych.


Strona Serie/Format

Zawartość strony zależy od rodzaju wykresu (np. liniowy,kołowy, słupkowy )

Wykres słupkowy

Znaczenie opcji:

Różne kolory słupków | Jeżeli opcja ta jest włączona system automatycznie dobierze kolor do poszczególnych słupków, jeżeli nie można ustalić koloru dla poszczególnych słupków
Ułożenie serii słupków | Opcja ta jest modyfikowana przez program i użytkownik nie powinien jej zmieniać
Obramowanie | Ustala się kolor i grubość linii którym obramowane są słupki
Wzorki | Ustala się kolor i rodzaj wzorków jakie są wypełniane słupki
Użyj jako podstawy | Określa wartość od jakiej zaczynają się słupki
% szerokości słupka | Stosunek szerokości słupka do szerokości osi X przypadającej na słupek
% odstępu | Określa % odstępu miedzy słupkami w stosunku do szerokości osi X przypadającej na jeden słupek.
Opcje słupków | Dostępne są opcje; - ciemne boki 3D - cieniowanie boków słupków - margines między słupkami, na tej opcji pomiedzy 1 słupkiem a lewą ścianą wykresu będzie wprowadzony margines. Funkcja automatycznie zaznaczanie pozycji nie jest wykorzystana

Wykres kolowy (piechart)

Znaczenie poszczególnych opcji:

Kolisty | wykres ten będzie miał kształt koła, jeżeli opcja ta jest wyłączona kształt wykresu jest dostosowany do rozmiaru okna i może być elipsą.
Wymiary | w przypadku włączenia tej opcji wykres będzie wyświetlany jako pseudo trójwymiarowy. Jeżeli opcja jest wyłączona wykres będzie płaski.
3D kolor | w przypadku włączenia tej opcji boki wykresu będą kolorowane.
Ciemne boki 3D | w przypadku włączenia opcji boki wykresu będa ciemniejsze od góry wykresu.
3D cieniowanie | w przypadku włączenia tej opcji boki wykresu będą cieniowane.
Kolor cienia | pozwala na wycieniowanie koloru jakim będą cieniowane boki wykresu.
Obramowanie | pozwala na zdefiniowanie grubości i stylu rysowania obramowania.
Własne ustawienia osi | pozwala na zmianę kąta osi Y oraz zmianę rozmiaru wykresu. Jeżeli włączona jest opcja auto będą przyjmowane ustawienia domyślne.
Obrót | określa kąt obrotu koła.
Wypełnienie | jezeli opcja ta jest wyłączona wykres będzie wypełniony poprzez kreskowanie w różnych kolorach, a kliknięcie przycisku “kolor tła” pozwala na zmianę koloru na który nanoszone są kreski. Opcja ta jest przydatna w przypadku wydruku wykresu na drukarkach czarno-białych.

Zobacz: Indeks pomocy do edycji wykresów


Strona Serie/Glówne

Strona Serie/Główne

Znaczenie opcji;

Pokaż w legendzie | Wybrana seria znajdzie się w legendzie ( o ile legenda jest widoczna)
Kursor | Określa kształt kursora przy przejściu do serii.
Format | Format jest ustalany automatycznie przez program i użytkownik nie powinien go modyfikować
Osie poziome | ustala czy opis osi czy znajdować się ma z góry czy z dołu wykresu
Osie pionowe | ustala czy opis osi Y ma znajdować się z lewej czy prawej strony wykresu
Data i czas | Opcja ta jest automatycznie ustalana przez program

Zobacz: Indeks pomocy do edycji wykresów


Strona Serie/Znaczki

Znaczenie opcji:

Widoczne | W przypadku włączenia tej opcji nad słupkami znajdę się znaczki (etykiety) o kolorze i obramowaniu ustalanym w tym samym panelu.
Format/Kolor | Określenie koloru tła, przy czym włączeniu opcji "przezroczysty" powoduje, że kolor tła będzie taki sam jak kolor wykresu.
Format/Czcionka | Określa czionkę jaką beda drukowane znaczki
Format/Obramowanie | Określa kolor i styl obramowania znaczków
Strzałki | Określa odleglość pomiędzy znaczkiem a słupkiem wykresu oraz ustala kolor kreski lączącej znaczek ze słupkiem wykresu
Styl | Poniżej opis dostępnych stylów : wartość- jako znaczek drukowana jest wartość Y dla poszczególnego słupka procent - drukowany jest procentowy udział poszczególnego słupka etykieta - drukowana jest etykieta przypisana do danego slupka. wartość X -drukowana jest wartość X odpowiadająca poszczególnemu słupkowi

Zobacz: Indeks pomocy do edycji wykresów


Strona Wykres/Glówne

Strona Wykres/Główne

Ustala się główne opcje wykresu, poniżej opis poszczególnych opcji:

3D | Jeżeli opcja 3D jest włączona to elementy wykresu będą rysowane w układzie pseudotrójwymiarowym.
3D% | Ustala się głębokość 3 wymiaru.
Marginesy | Opcja ta służy do ustalenia marginesów wokół wykresu. Uwaga! Jeżeli na poszczególnych osiach mają znaleźć się dodawane przez program napisy lub tytuły osi, marginesy powinny być odpowiednio zwiększone.
Obcinanie punktów. | Włączenie tej opcji spowoduje, że wykresy poszczególnych serii nie będą przekraczać obramowania panelu wykresu.
Zoom | Opcja ta ustala reakcje wykresu w przypadku ciągnięcia myszą. Jeżeli zostanie włączona opcja "dostępny zoom" wtedy ciągniecie myszy na prawo spowoduje powiększenie fragmentu wykresu. Jeżeli zostanie włączona opcja "animowany zoom" będą widoczne poszczególne etapy powiększania wykresu, ciągniecie myszą w kierunku lewego górnego rogu spowoduje pomniejszanie wykresu do wymiarów początkowych.
Przewijanie | Opcja ta jest potrzebna w przypadku bardzo długich wykresów. Wstępnie przewijanie jest wyłączone.
Podgląd wydruku. | Przycisk powoduje otwarcie okna podglądu bieżącego wykresu z możliwością jego wydruku.
Eksport. | Kliknięcie na ten przycisk spowoduje otwarcie okna eksportu wykresu.

Zobacz: Indeks pomocy do edycji wykresów


Strona Wykres/Legenda

Znaczenie opcji:

Widoczna | Na wykresie będzie rysowana legenda
Kolor tła | Ustala się kolor tła legendy
Czcionka | Ustala się czcionkę jaką będzie drukowana legenda
Obramowanie | Ustala się obramowanie legendy
Położenie | Ustala się, z której strony wykresu znajdzie się legenda
Margines | Określa odleglość legendy od wykresu. Margines 0 oznacza automatyczne dobranie odleglości legendy od wykresu
Styl legendy | Dostępne są następujące opcje: automatyczny- automatycznie dobiera wartości rysowane w legendzie nazwy serii- w legendzie znajdą się nazwy serii wcześniej nazwy serii. Nazwy serii można wprowadzić na stronie"Wykres/Serie" wartości serii - w legendzie znajdą się wartości z poszczególnych serii ostatnie wartości- w legendzie znajdzie się ostatnia wartość serii
Styl tekstu | Styl ma następujące opcje: zwykły- tekst nie jest formatowany wartość z lewej- tekst legendy jest dosunięty do lewej strony wartość z prawej- tekst legendy z wartością dosunięty jest do prawej % z lewej- obliczany jest % wartości dosuwanej do lewej strony % z prawej- obliczany jest % wartości dosuwanej do prawej strony Wartość X- drukowana jest wartość X
% od góry | % odleglości napisu od góry ramki legendy
% szerokości koloru | Określa stosunek szerokości tła ramki do długości legendy
Dzielenie linii | Podzielenie legendy na poszczególne fragmenty
Cienie | Kolor cienia rysowanego przy ramce legendy. Rozmiar cienia określa rozmiar cieniowania ramki legendy

Zobacz: Indeks pomocy do edycji wykresów


Strona Wykres/Osie

Na stronie tej znajdują się opcje wszystkich osi. Wybór osi poprzez zaznaczenie odpowiedniej opcji w ramce "osie".

Znaczenie opcji:

Pokaż osie | Opcja ta dotyczy wszystkich osi. Jeżeli jest wyłączona wykres nie zawiera opisu osi.
Widoczne | Opcja ta dotyczy zaznaczonej osi. Jeżeli opcja jest włączona brak jest opisu zaznaczonej osi
Obramowanie | Opcja ta dotyczy zaznaczonej osi. Po kliknięciu na ten przycisk przechodzi się do edytora obramowań.

Strona Skale, Tytuły, Etykiety, Znaczki

Dotyczą wybranej osi w ramce Osie"

Skale |
Automatyczna. | Jeżeli ta opcja jest włączona to skala wykresu jest automatycznie dobierana przez program. Jeżeli opcja jest wyłączona użytkownik może zmienić minimum i maksimum osi.
Odstęp | Naciśnięcie przycisku "Zmień" spowoduje zmianę skoku na osi.
Logarytmiczna | Włączenie tej opcji spowoduje, że skala wykresu będzie logarytmiczna.
Odwrócony | Opcja powoduje odwrócenie skali wykresu
Tytuł | Można wprowadzić tytuł osi oraz kąt pod którym tytuł będzie wykreślany. Przyciśnięcie przycisku "Czcionka" spowoduje zmianę czcionki tytułu.
Etykiety |
Widoczna | Etykiety na osiach są widoczne
Etykiety na osiach | Opcja ta powoduje wykreślanie etykiet na początkach osi
Zaokrąglij pocz. | Skala nie zaczyna się od początku osi
Czcionka | Przycisk ten pozwala zmienić czcionkę opisu osi
Rozmiar | Jest to rozmiar pola w którym znajduje się opis osi. Wpisanie zera spowoduje że rozmiar będzie dobierany automatycznie
Kat | Jest to kąt liczb opisujących osie.
Minimalny odstęp | Jest to % odstępu miedzy opisem osi
Format liczb | Można tu wprowadzić format opisu osi tak samo jak formaty liczb stosowane w Excelu lub Wordzie
Styl | Powinien być włączony styl "auto". Uwaga styl może być zmieniony przez program.
Znaczki |
Obramowanie osi | Opcja ta pozwala na zmianę grubości obramowania oraz koloru obramowania.
Brzegi siatki | Pozwala to na włączenie obramowania i widoczności siatki rysowanej wewnątrz wykresu
Kreski do etykiet | Opcja ta pozwala na określenie długości i rodzaju kresek znajdujących się pomiędzy osią a opisem osi
Wewnętrzne | Sluży do wprowadzania wewnętrznych kresek
Drugorzedne | Służy do wprowadzenia kresek drugorzędnych znajdujących się pomiedzy wartościami opisujących osie. Określa ilość kresek miedzy wartościami a dlugość kresek Dlugość kresek drugorzędnych powinna być zawsze mniejsza od długosci kresek podstawowych.

Zobacz:Indeks pomocy do edycji wykresów


Strona Wykres/Panel

Znaczenie opcji:

Ramka wewnętrzna | Określa się obramowanie wewnętrzne okna wykresu. Uwaga: nie ma wpływu na wydruk wykresu
Ramka zewnętrzna | Określa się obramowanie zewnętrzne okna wykresu. Uwaga: nie ma wpływu na wydruk wykresu
Szerokość ramki zewnętrznej i wewnętrznej | Dotyczy okna wykresu, nie ma wpływu na wydruk wykresu
Rysunek w tle | Opcja ta służy do wypełnienia tła wykresu rysunkiem . Dostępne są opcje: rozciągnięty - rysunek jest rozciągnięty na całą powierzchnię wykresu w tytule- rysunek jest powtarzany aż zapełni cały wykres centrowany-rysunek znajduje się pośrodku wykresu.
Kolor panelu | Jeżeli zostanie wybrany kolor szary to panel będzie przezroczysty, w przeciwnym wypadku kolor będzie przyjęty jako kolor tła wykresu
Kolor tła | Kolor będzie użyty do wypełnienia wnętrza wykresu
Obramowanie | Wykres będzie obramowany
Brak koloru tła | Zarówno wnętrze wykresu jak i cały wykres jest wypełniony tym samym kolorem
Gradient kolorów tła | Okno wykresu jest wypełniane przy użyciu dwóch kolorów, przechodzących stopniowo jeden w drugi. Kolor początkowy i kolor końcowy są wybierane poprzez kliknięcie przycisku kolor początkowy" i " kolor końcowy"
Kierunek Gradientu | Określa kierunek zmiany koloru gradientu

Zobacz:Indeks pomocy do edycji wykresów


Strona Wykres/Serie

Ustala się listę i typ serii pomiarowych. Użytkownik nie powinien zmieniać liczby serii ponieważ są one automatycznie włączane i wyłączane przez program.

Można natomiast zmienić typ serii poprzez naciśnięcie przycisku "Zmień".

Dla serii typu histogramu (bar) można wybrać wykresy liniowe, powierzchniowe, punktowe i tortowe (pie). Oczywiście nie można zmieniać wykresów słupkowych na wykresy zupełnie innego rodzaju wymagające większej ilości danych jak np. wykresy powierzchniowe czy strzałkowe.

Zobacz:Indeks pomocy do edycji wykresów


Strona Wykres/Strony

Opcje te dotyczą wyłącznie bardzo długich wykresów, które można dzielić na kilka stron wzdłuż osi X.

Po wpisaniu w polu ilości punktów na stronę wykresu łączna ilość punktów na osi X wykres zostanie podzielony na strony i będzie można przechodzić do poszczególnych stron poprzez kliknięcie przycisków "Pierwsza" dla pierwszej strony, "Poprzednia" dla poprzedniej strony, "Następna" dla następnej strony i "Ostatnia" dla ostatniej strony.

Jeżeli zostanie włączona opcja "Skaluj ostatnia stronę" wtedy ostatnia strona zostanie tak rozciągnięta, żeby mieściła się na całej szerokości wykresu. Jeżeli opcja ta jest wyłączona to ostatnia strona zostanie ucięta do określonej ilości punktów, które pozostały z poprzednich stron.

Zobacz:Indeks pomocy do edycji wykresów